> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address ERC721 Token Inventory by Contract

> Retrieves the ERC-721 token IDs owned by an address for a given NFT contract.

export const chain = '1';

<Note>This is a PRO endpoint, available to the [Standard Plan](/rate-limits) and above</Note>

<Warning>This endpoint is throttled to **2 calls/second** regardless of API Pro tier.</Warning>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "TokenAddress": "0xed5af388653567af2f388e6224dc7c4b3241c544",
        "TokenId": "453"
      },
      {
        "TokenAddress": "0xed5af388653567af2f388e6224dc7c4b3241c544",
        "TokenId": "8160"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/addresstokennftinventory.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Address ERC721 Token Inventory by Contract
  version: 2.0.0
  description: >-
    Retrieves the number of ERC-721 token IDs owned by a specific address for
    each NFT collection.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Address ERC721 Token Inventory by Contract
      description: >-
        Retrieves the number of ERC-721 token IDs owned by a specific address
        for each NFT collection.
      operationId: getAddresstokennftinventory
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to addresstokennftinventory for this endpoint.
          schema:
            type: string
            default: addresstokennftinventory
          example: addresstokennftinventory
        - name: address
          in: query
          required: true
          description: Address to check for inventory.
          schema:
            type: string
          example: '0x123432244443b54409430979df8333f9308a6040'
        - name: contractaddress
          in: query
          required: true
          description: ERC-721 token contract address to filter by.
          schema:
            type: string
          example: '0xed5af388653567af2f388e6224dc7c4b3241c544'
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````